Bug 139063 - Crash when add a new sheet to a RTL sheet
Summary: Crash when add a new sheet to a RTL sheet
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0
Keywords: bibisectRequest, haveBacktrace, needUITest, regression
Depends on:
Blocks:
 
Reported: 2020-12-19 14:20 UTC by Regina Henschel
Modified: 2020-12-21 12:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
VS 2019 Call Stack, Add sheet to RTL sheet (2.71 KB, text/plain)
2020-12-19 14:20 UTC, Regina Henschel
Details
gdb bt (3.70 KB, text/plain)
2020-12-19 14:38 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2020-12-19 14:20:08 UTC
Created attachment 168323 [details]
VS 2019 Call Stack, Add sheet to RTL sheet

Start a daily build and enable "complex text layout".
Start Calc.
Set sheet to "right-to-left". That is in menu Sheet.
Click on the + in the tab bar. That is now bottom _right_.
Crash.

A debug build shows error message:
Unhandled exception at 0x00007FFB9EB9287E (ucrtbase.dll) in soffice.bin: Fatal program exit requested.

The Call Stack is attacked.
Comment 1 Julien Nabet 2020-12-19 14:38:57 UTC
Created attachment 168324 [details]
gdb bt

On pc Debian x86-64 with master sources updated today + gtk3 I got a crash.

With gen rendering, LO enters in a loop where it never stops adding a new sheet.
Comment 2 Julien Nabet 2020-12-19 14:41:42 UTC
With LO Debian package 7.0.4, I don't reproduce the crash with gtk3 or never ending loop with gen rendering.
=> regression.

Caolán: it seems related to vcl/weld part. Thought you might be interested in this one.
Comment 3 Caolán McNamara 2020-12-19 22:05:46 UTC
The click causes the tabbar to be destroyed and recreated, what a pain
Comment 4 Commit Notification 2020-12-20 16:37:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a0bf3da7a610e35862878687fed01b63ee5e5308

tdf#139063 crash when add a new sheet to a RTL sheet

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Julien Nabet 2020-12-20 16:57:08 UTC
On pc Debian x86-64 with master sources updated today (including Caolán's patch), I don't reproduce the crash with gtk3 or the never ending loop with gen rendering.
As always, thank you Caolán!